Skip to main content
GET
/
api
/
v1
/
ssf-receiver-streams
/
{id}
Get
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.SSFReceiverStream.Get(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceGetRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.SSFReceiverStreamServiceGetResponse != nil {
        // handle response
    }
}
{
  "ssfReceiverStream": {
    "accountDisabledAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
    "createdAt": "2023-11-07T05:31:56Z",
    "credentialChangeAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
    "credentialCompromiseAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
    "deletedAt": "2023-11-07T05:31:56Z",
    "deliveryMethod": "SSF_DELIVERY_METHOD_UNSPECIFIED",
    "description": "<string>",
    "displayName": "<string>",
    "enabled": true,
    "eventTypesEnabled": [
      "<string>"
    ],
    "expectedAudience": "<string>",
    "id": "<string>",
    "issuerUrl": "<string>",
    "jwksUrl": "<string>",
    "lastErrorAt": "2023-11-07T05:31:56Z",
    "lastErrorMessage": "<string>",
    "lastVerifiedAt": "2023-11-07T05:31:56Z",
    "outboundAuthBearer": {
      "token": "<string>"
    },
    "outboundAuthOauth2": {
      "clientId": "<string>",
      "clientSecret": "<string>",
      "scopes": [
        "<string>"
      ],
      "tokenUrl": "<string>"
    },
    "pollEndpointUrl": "<string>",
    "pollInterval": "<string>",
    "pushAuthToken": "<string>",
    "pushEndpointUrl": "<string>",
    "sessionRevokedAction": "SSF_REVOCATION_ACTION_UNSPECIFIED",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The ID of the SSF receiver stream to retrieve.

Response

200 - application/json

SSFReceiverStreamServiceGetResponse contains the requested SSF receiver stream.

SSFReceiverStreamServiceGetResponse contains the requested SSF receiver stream.

ssfReceiverStream
Ssf Receiver Stream · object

SSFReceiverStream is the public API representation. Secrets (push_auth_token, outbound credentials) are write-only.

This message contains a oneof named outbound_auth. Only a single field of the following list may be set at a time:

  • outboundAuthBearer
  • outboundAuthOauth2